Index: trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/Resources.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/Resources.Designer.cs	(revision 4068)
+++ trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/Resources.Designer.cs	(revision 5163)
@@ -10,214 +10,215 @@
 
 namespace WeifenLuo.WinFormsUI.Docking {
-
-
-  /// <summary>
-  ///   A strongly-typed resource class, for looking up localized strings, etc.
-  /// </summary>
-  // This class was auto-generated by the StronglyTypedResourceBuilder
-  // class via a tool like ResGen or Visual Studio.
-  // To add or remove a member, edit your .ResX file then rerun ResGen
-  // with the /str option, or rebuild your VS project.
-  [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Resources.Tools.StronglyTypedResourceBuilder", "4.0.0.0")]
-  [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
-  [global::System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
-  internal class Resources {
-
-    private static global::System.Resources.ResourceManager resourceMan;
-
-    private static global::System.Globalization.CultureInfo resourceCulture;
-
-    [global::System.Diagnostics.CodeAnalysis.SuppressMessageAttribute("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")]
-    internal Resources() {
+    using System;
+    
+    
+    /// <summary>
+    ///   A strongly-typed resource class, for looking up localized strings, etc.
+    /// </summary>
+    // This class was auto-generated by the StronglyTypedResourceBuilder
+    // class via a tool like ResGen or Visual Studio.
+    // To add or remove a member, edit your .ResX file then rerun ResGen
+    // with the /str option, or rebuild your VS project.
+    [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Resources.Tools.StronglyTypedResourceBuilder", "4.0.0.0")]
+    [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+    [global::System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
+    internal class Resources {
+        
+        private static global::System.Resources.ResourceManager resourceMan;
+        
+        private static global::System.Globalization.CultureInfo resourceCulture;
+        
+        [global::System.Diagnostics.CodeAnalysis.SuppressMessageAttribute("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")]
+        internal Resources() {
+        }
+        
+        /// <summary>
+        ///   Returns the cached ResourceManager instance used by this class.
+        /// </summary>
+        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
+        internal static global::System.Resources.ResourceManager ResourceManager {
+            get {
+                if (object.ReferenceEquals(resourceMan, null)) {
+                    global::System.Resources.ResourceManager temp = new global::System.Resources.ResourceManager("WeifenLuo.WinFormsUI.Docking.Resources", typeof(Resources).Assembly);
+                    resourceMan = temp;
+                }
+                return resourceMan;
+            }
+        }
+        
+        /// <summary>
+        ///   Overrides the current thread's CurrentUICulture property for all
+        ///   resource lookups using this strongly typed resource class.
+        /// </summary>
+        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
+        internal static global::System.Globalization.CultureInfo Culture {
+            get {
+                return resourceCulture;
+            }
+            set {
+                resourceCulture = value;
+            }
+        }
+        
+        internal static System.Drawing.Bitmap DockIndicator_PaneDiamond {
+            get {
+                object obj = ResourceManager.GetObject("DockIndicator_PaneDiamond", resourceCulture);
+                return ((System.Drawing.Bitmap)(obj));
+            }
+        }
+        
+        internal static System.Drawing.Bitmap DockIndicator_PaneDiamond_Bottom {
+            get {
+                object obj = ResourceManager.GetObject("DockIndicator_PaneDiamond_Bottom", resourceCulture);
+                return ((System.Drawing.Bitmap)(obj));
+            }
+        }
+        
+        internal static System.Drawing.Bitmap DockIndicator_PaneDiamond_Fill {
+            get {
+                object obj = ResourceManager.GetObject("DockIndicator_PaneDiamond_Fill", resourceCulture);
+                return ((System.Drawing.Bitmap)(obj));
+            }
+        }
+        
+        internal static System.Drawing.Bitmap DockIndicator_PaneDiamond_HotSpot {
+            get {
+                object obj = ResourceManager.GetObject("DockIndicator_PaneDiamond_HotSpot", resourceCulture);
+                return ((System.Drawing.Bitmap)(obj));
+            }
+        }
+        
+        internal static System.Drawing.Bitmap DockIndicator_PaneDiamond_HotSpotIndex {
+            get {
+                object obj = ResourceManager.GetObject("DockIndicator_PaneDiamond_HotSpotIndex", resourceCulture);
+                return ((System.Drawing.Bitmap)(obj));
+            }
+        }
+        
+        internal static System.Drawing.Bitmap DockIndicator_PaneDiamond_Left {
+            get {
+                object obj = ResourceManager.GetObject("DockIndicator_PaneDiamond_Left", resourceCulture);
+                return ((System.Drawing.Bitmap)(obj));
+            }
+        }
+        
+        internal static System.Drawing.Bitmap DockIndicator_PaneDiamond_Right {
+            get {
+                object obj = ResourceManager.GetObject("DockIndicator_PaneDiamond_Right", resourceCulture);
+                return ((System.Drawing.Bitmap)(obj));
+            }
+        }
+        
+        internal static System.Drawing.Bitmap DockIndicator_PaneDiamond_Top {
+            get {
+                object obj = ResourceManager.GetObject("DockIndicator_PaneDiamond_Top", resourceCulture);
+                return ((System.Drawing.Bitmap)(obj));
+            }
+        }
+        
+        internal static System.Drawing.Bitmap DockIndicator_PanelBottom {
+            get {
+                object obj = ResourceManager.GetObject("DockIndicator_PanelBottom", resourceCulture);
+                return ((System.Drawing.Bitmap)(obj));
+            }
+        }
+        
+        internal static System.Drawing.Bitmap DockIndicator_PanelBottom_Active {
+            get {
+                object obj = ResourceManager.GetObject("DockIndicator_PanelBottom_Active", resourceCulture);
+                return ((System.Drawing.Bitmap)(obj));
+            }
+        }
+        
+        internal static System.Drawing.Bitmap DockIndicator_PanelFill {
+            get {
+                object obj = ResourceManager.GetObject("DockIndicator_PanelFill", resourceCulture);
+                return ((System.Drawing.Bitmap)(obj));
+            }
+        }
+        
+        internal static System.Drawing.Bitmap DockIndicator_PanelFill_Active {
+            get {
+                object obj = ResourceManager.GetObject("DockIndicator_PanelFill_Active", resourceCulture);
+                return ((System.Drawing.Bitmap)(obj));
+            }
+        }
+        
+        internal static System.Drawing.Bitmap DockIndicator_PanelLeft {
+            get {
+                object obj = ResourceManager.GetObject("DockIndicator_PanelLeft", resourceCulture);
+                return ((System.Drawing.Bitmap)(obj));
+            }
+        }
+        
+        internal static System.Drawing.Bitmap DockIndicator_PanelLeft_Active {
+            get {
+                object obj = ResourceManager.GetObject("DockIndicator_PanelLeft_Active", resourceCulture);
+                return ((System.Drawing.Bitmap)(obj));
+            }
+        }
+        
+        internal static System.Drawing.Bitmap DockIndicator_PanelRight {
+            get {
+                object obj = ResourceManager.GetObject("DockIndicator_PanelRight", resourceCulture);
+                return ((System.Drawing.Bitmap)(obj));
+            }
+        }
+        
+        internal static System.Drawing.Bitmap DockIndicator_PanelRight_Active {
+            get {
+                object obj = ResourceManager.GetObject("DockIndicator_PanelRight_Active", resourceCulture);
+                return ((System.Drawing.Bitmap)(obj));
+            }
+        }
+        
+        internal static System.Drawing.Bitmap DockIndicator_PanelTop {
+            get {
+                object obj = ResourceManager.GetObject("DockIndicator_PanelTop", resourceCulture);
+                return ((System.Drawing.Bitmap)(obj));
+            }
+        }
+        
+        internal static System.Drawing.Bitmap DockIndicator_PanelTop_Active {
+            get {
+                object obj = ResourceManager.GetObject("DockIndicator_PanelTop_Active", resourceCulture);
+                return ((System.Drawing.Bitmap)(obj));
+            }
+        }
+        
+        internal static System.Drawing.Bitmap DockPane_AutoHide {
+            get {
+                object obj = ResourceManager.GetObject("DockPane_AutoHide", resourceCulture);
+                return ((System.Drawing.Bitmap)(obj));
+            }
+        }
+        
+        internal static System.Drawing.Bitmap DockPane_Close {
+            get {
+                object obj = ResourceManager.GetObject("DockPane_Close", resourceCulture);
+                return ((System.Drawing.Bitmap)(obj));
+            }
+        }
+        
+        internal static System.Drawing.Bitmap DockPane_Dock {
+            get {
+                object obj = ResourceManager.GetObject("DockPane_Dock", resourceCulture);
+                return ((System.Drawing.Bitmap)(obj));
+            }
+        }
+        
+        internal static System.Drawing.Bitmap DockPane_Option {
+            get {
+                object obj = ResourceManager.GetObject("DockPane_Option", resourceCulture);
+                return ((System.Drawing.Bitmap)(obj));
+            }
+        }
+        
+        internal static System.Drawing.Bitmap DockPane_OptionOverflow {
+            get {
+                object obj = ResourceManager.GetObject("DockPane_OptionOverflow", resourceCulture);
+                return ((System.Drawing.Bitmap)(obj));
+            }
+        }
     }
-
-    /// <summary>
-    ///   Returns the cached ResourceManager instance used by this class.
-    /// </summary>
-    [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
-    internal static global::System.Resources.ResourceManager ResourceManager {
-      get {
-        if (object.ReferenceEquals(resourceMan, null)) {
-          global::System.Resources.ResourceManager temp = new global::System.Resources.ResourceManager("WeifenLuo.WinFormsUI.Docking.Resources", typeof(Resources).Assembly);
-          resourceMan = temp;
-        }
-        return resourceMan;
-      }
-    }
-
-    /// <summary>
-    ///   Overrides the current thread's CurrentUICulture property for all
-    ///   resource lookups using this strongly typed resource class.
-    /// </summary>
-    [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
-    internal static global::System.Globalization.CultureInfo Culture {
-      get {
-        return resourceCulture;
-      }
-      set {
-        resourceCulture = value;
-      }
-    }
-
-    internal static System.Drawing.Bitmap DockIndicator_PaneDiamond {
-      get {
-        object obj = ResourceManager.GetObject("DockIndicator_PaneDiamond", resourceCulture);
-        return ((System.Drawing.Bitmap)(obj));
-      }
-    }
-
-    internal static System.Drawing.Bitmap DockIndicator_PaneDiamond_Bottom {
-      get {
-        object obj = ResourceManager.GetObject("DockIndicator_PaneDiamond_Bottom", resourceCulture);
-        return ((System.Drawing.Bitmap)(obj));
-      }
-    }
-
-    internal static System.Drawing.Bitmap DockIndicator_PaneDiamond_Fill {
-      get {
-        object obj = ResourceManager.GetObject("DockIndicator_PaneDiamond_Fill", resourceCulture);
-        return ((System.Drawing.Bitmap)(obj));
-      }
-    }
-
-    internal static System.Drawing.Bitmap DockIndicator_PaneDiamond_HotSpot {
-      get {
-        object obj = ResourceManager.GetObject("DockIndicator_PaneDiamond_HotSpot", resourceCulture);
-        return ((System.Drawing.Bitmap)(obj));
-      }
-    }
-
-    internal static System.Drawing.Bitmap DockIndicator_PaneDiamond_HotSpotIndex {
-      get {
-        object obj = ResourceManager.GetObject("DockIndicator_PaneDiamond_HotSpotIndex", resourceCulture);
-        return ((System.Drawing.Bitmap)(obj));
-      }
-    }
-
-    internal static System.Drawing.Bitmap DockIndicator_PaneDiamond_Left {
-      get {
-        object obj = ResourceManager.GetObject("DockIndicator_PaneDiamond_Left", resourceCulture);
-        return ((System.Drawing.Bitmap)(obj));
-      }
-    }
-
-    internal static System.Drawing.Bitmap DockIndicator_PaneDiamond_Right {
-      get {
-        object obj = ResourceManager.GetObject("DockIndicator_PaneDiamond_Right", resourceCulture);
-        return ((System.Drawing.Bitmap)(obj));
-      }
-    }
-
-    internal static System.Drawing.Bitmap DockIndicator_PaneDiamond_Top {
-      get {
-        object obj = ResourceManager.GetObject("DockIndicator_PaneDiamond_Top", resourceCulture);
-        return ((System.Drawing.Bitmap)(obj));
-      }
-    }
-
-    internal static System.Drawing.Bitmap DockIndicator_PanelBottom {
-      get {
-        object obj = ResourceManager.GetObject("DockIndicator_PanelBottom", resourceCulture);
-        return ((System.Drawing.Bitmap)(obj));
-      }
-    }
-
-    internal static System.Drawing.Bitmap DockIndicator_PanelBottom_Active {
-      get {
-        object obj = ResourceManager.GetObject("DockIndicator_PanelBottom_Active", resourceCulture);
-        return ((System.Drawing.Bitmap)(obj));
-      }
-    }
-
-    internal static System.Drawing.Bitmap DockIndicator_PanelFill {
-      get {
-        object obj = ResourceManager.GetObject("DockIndicator_PanelFill", resourceCulture);
-        return ((System.Drawing.Bitmap)(obj));
-      }
-    }
-
-    internal static System.Drawing.Bitmap DockIndicator_PanelFill_Active {
-      get {
-        object obj = ResourceManager.GetObject("DockIndicator_PanelFill_Active", resourceCulture);
-        return ((System.Drawing.Bitmap)(obj));
-      }
-    }
-
-    internal static System.Drawing.Bitmap DockIndicator_PanelLeft {
-      get {
-        object obj = ResourceManager.GetObject("DockIndicator_PanelLeft", resourceCulture);
-        return ((System.Drawing.Bitmap)(obj));
-      }
-    }
-
-    internal static System.Drawing.Bitmap DockIndicator_PanelLeft_Active {
-      get {
-        object obj = ResourceManager.GetObject("DockIndicator_PanelLeft_Active", resourceCulture);
-        return ((System.Drawing.Bitmap)(obj));
-      }
-    }
-
-    internal static System.Drawing.Bitmap DockIndicator_PanelRight {
-      get {
-        object obj = ResourceManager.GetObject("DockIndicator_PanelRight", resourceCulture);
-        return ((System.Drawing.Bitmap)(obj));
-      }
-    }
-
-    internal static System.Drawing.Bitmap DockIndicator_PanelRight_Active {
-      get {
-        object obj = ResourceManager.GetObject("DockIndicator_PanelRight_Active", resourceCulture);
-        return ((System.Drawing.Bitmap)(obj));
-      }
-    }
-
-    internal static System.Drawing.Bitmap DockIndicator_PanelTop {
-      get {
-        object obj = ResourceManager.GetObject("DockIndicator_PanelTop", resourceCulture);
-        return ((System.Drawing.Bitmap)(obj));
-      }
-    }
-
-    internal static System.Drawing.Bitmap DockIndicator_PanelTop_Active {
-      get {
-        object obj = ResourceManager.GetObject("DockIndicator_PanelTop_Active", resourceCulture);
-        return ((System.Drawing.Bitmap)(obj));
-      }
-    }
-
-    internal static System.Drawing.Bitmap DockPane_AutoHide {
-      get {
-        object obj = ResourceManager.GetObject("DockPane_AutoHide", resourceCulture);
-        return ((System.Drawing.Bitmap)(obj));
-      }
-    }
-
-    internal static System.Drawing.Bitmap DockPane_Close {
-      get {
-        object obj = ResourceManager.GetObject("DockPane_Close", resourceCulture);
-        return ((System.Drawing.Bitmap)(obj));
-      }
-    }
-
-    internal static System.Drawing.Bitmap DockPane_Dock {
-      get {
-        object obj = ResourceManager.GetObject("DockPane_Dock", resourceCulture);
-        return ((System.Drawing.Bitmap)(obj));
-      }
-    }
-
-    internal static System.Drawing.Bitmap DockPane_Option {
-      get {
-        object obj = ResourceManager.GetObject("DockPane_Option", resourceCulture);
-        return ((System.Drawing.Bitmap)(obj));
-      }
-    }
-
-    internal static System.Drawing.Bitmap DockPane_OptionOverflow {
-      get {
-        object obj = ResourceManager.GetObject("DockPane_OptionOverflow", resourceCulture);
-        return ((System.Drawing.Bitmap)(obj));
-      }
-    }
-  }
 }