Index: trunk/documentation/API Documentation/SandcastleBuilder Settings.shfb
===================================================================
--- trunk/documentation/API Documentation/SandcastleBuilder Settings.shfb	(revision 4539)
+++ 	(revision )
@@ -1,124 +1,0 @@
-﻿<project schemaVersion="1.6.0.2">
-    <assemblies>
-        <assembly assemblyPath=".\Assemblies\HeuristicLab.AdvancedOptimizationFrontend.dll" xmlCommentsPath=".\Assemblies\HeuristicLab.AdvancedOptimizationFrontend.xml" commentsOnly="False" />
-        <assembly assemblyPath=".\Assemblies\HeuristicLab.BitVector.dll" xmlCommentsPath=".\Assemblies\HeuristicLab.BitVector.xml" commentsOnly="False" />
-        <assembly assemblyPath=".\Assemblies\HeuristicLab.Charting.Data.dll" xmlCommentsPath=".\Assemblies\HeuristicLab.Charting.Data.xml" commentsOnly="False" />
-        <assembly assemblyPath=".\Assemblies\HeuristicLab.Charting.dll" xmlCommentsPath=".\Assemblies\HeuristicLab.Charting.xml" commentsOnly="False" />
-        <assembly assemblyPath=".\Assemblies\HeuristicLab.Constraints.dll" xmlCommentsPath=".\Assemblies\HeuristicLab.Constraints.xml" commentsOnly="False" />
-        <assembly assemblyPath=".\Assemblies\HeuristicLab.Core.dll" xmlCommentsPath=".\Assemblies\HeuristicLab.Core.xml" commentsOnly="False" />
-        <assembly assemblyPath=".\Assemblies\HeuristicLab.Data.dll" xmlCommentsPath=".\Assemblies\HeuristicLab.Data.xml" commentsOnly="False" />
-        <assembly assemblyPath=".\Assemblies\HeuristicLab.DataAnalysis.dll" xmlCommentsPath=".\Assemblies\HeuristicLab.DataAnalysis.xml" commentsOnly="False" />
-        <assembly assemblyPath=".\Assemblies\HeuristicLab.DistributedEngine.dll" xmlCommentsPath=".\Assemblies\HeuristicLab.DistributedEngine.xml" commentsOnly="False" />
-        <assembly assemblyPath=".\Assemblies\HeuristicLab.ES.dll" xmlCommentsPath=".\Assemblies\HeuristicLab.ES.xml" commentsOnly="False" />
-        <assembly assemblyPath=".\Assemblies\HeuristicLab.Evolutionary.dll" xmlCommentsPath=".\Assemblies\HeuristicLab.Evolutionary.xml" commentsOnly="False" />
-        <assembly assemblyPath=".\Assemblies\HeuristicLab.Functions.dll" xmlCommentsPath=".\Assemblies\HeuristicLab.Functions.xml" commentsOnly="False" />
-        <assembly assemblyPath=".\Assemblies\HeuristicLab.Grid.dll" xmlCommentsPath=".\Assemblies\HeuristicLab.Grid.xml" commentsOnly="False" />
-        <assembly assemblyPath=".\Assemblies\HeuristicLab.Logging.dll" xmlCommentsPath=".\Assemblies\HeuristicLab.Logging.xml" commentsOnly="False" />
-        <assembly assemblyPath=".\Assemblies\HeuristicLab.Operators.dll" xmlCommentsPath=".\Assemblies\HeuristicLab.Operators.xml" commentsOnly="False" />
-        <assembly assemblyPath=".\Assemblies\HeuristicLab.Operators.Programmable.dll" xmlCommentsPath=".\Assemblies\HeuristicLab.Operators.Programmable.xml" commentsOnly="False" />
-        <assembly assemblyPath=".\Assemblies\HeuristicLab.OptimizationFrontend.dll" xmlCommentsPath=".\Assemblies\HeuristicLab.OptimizationFrontend.xml" commentsOnly="False" />
-        <assembly assemblyPath=".\Assemblies\HeuristicLab.Permutation.dll" xmlCommentsPath=".\Assemblies\HeuristicLab.Permutation.xml" commentsOnly="False" />
-        <assembly assemblyPath=".\Assemblies\HeuristicLab.PluginInfrastructure.dll" xmlCommentsPath=".\Assemblies\HeuristicLab.PluginInfrastructure.xml" commentsOnly="False" />
-        <assembly assemblyPath=".\Assemblies\HeuristicLab.PluginInfrastructure.GUI.dll" xmlCommentsPath=".\Assemblies\HeuristicLab.PluginInfrastructure.GUI.xml" commentsOnly="False" />
-        <assembly assemblyPath=".\Assemblies\HeuristicLab.Random.dll" xmlCommentsPath=".\Assemblies\HeuristicLab.Random.xml" commentsOnly="False" />
-        <assembly assemblyPath=".\Assemblies\HeuristicLab.RealVector.dll" xmlCommentsPath=".\Assemblies\HeuristicLab.RealVector.xml" commentsOnly="False" />
-        <assembly assemblyPath=".\Assemblies\HeuristicLab.Routing.TSP.dll" xmlCommentsPath=".\Assemblies\HeuristicLab.Routing.TSP.xml" commentsOnly="False" />
-        <assembly assemblyPath=".\Assemblies\HeuristicLab.Scheduling.JSSP.dll" xmlCommentsPath=".\Assemblies\HeuristicLab.Scheduling.JSSP.xml" commentsOnly="False" />
-        <assembly assemblyPath=".\Assemblies\HeuristicLab.Selection.dll" xmlCommentsPath=".\Assemblies\HeuristicLab.Selection.xml" commentsOnly="False" />
-        <assembly assemblyPath=".\Assemblies\HeuristicLab.Selection.OffspringSelection.dll" xmlCommentsPath=".\Assemblies\HeuristicLab.Selection.OffspringSelection.xml" commentsOnly="False" />
-        <assembly assemblyPath=".\Assemblies\HeuristicLab.SequentialEngine.dll" xmlCommentsPath=".\Assemblies\HeuristicLab.SequentialEngine.xml" commentsOnly="False" />
-        <assembly assemblyPath=".\Assemblies\HeuristicLab.SGA.dll" xmlCommentsPath=".\Assemblies\HeuristicLab.SGA.xml" commentsOnly="False" />
-        <assembly assemblyPath=".\Assemblies\HeuristicLab.SQLite.dll" xmlCommentsPath=".\Assemblies\HeuristicLab.SQLite.xml" commentsOnly="False" />
-        <assembly assemblyPath=".\Assemblies\HeuristicLab.StructureIdentification.dll" xmlCommentsPath=".\Assemblies\HeuristicLab.StructureIdentification.xml" commentsOnly="False" />
-        <assembly assemblyPath=".\Assemblies\HeuristicLab.TestFunctions.dll" xmlCommentsPath=".\Assemblies\HeuristicLab.TestFunctions.xml" commentsOnly="False" />
-        <assembly assemblyPath=".\Assemblies\HeuristicLab.ThreadParallelEngine.dll" xmlCommentsPath=".\Assemblies\HeuristicLab.ThreadParallelEngine.xml" commentsOnly="False" />
-    </assemblies>
-    <namespaceSummaries>
-        <namespaceSummaryItem name="" isDocumented="False" />
-        <namespaceSummaryItem name="HeuristicLab.AdvancedOptimizationFrontend" isDocumented="True" />
-        <namespaceSummaryItem name="HeuristicLab.AdvancedOptimizationFrontend.Properties" isDocumented="True" />
-        <namespaceSummaryItem name="HeuristicLab.BitVector" isDocumented="True" />
-        <namespaceSummaryItem name="HeuristicLab.Charting" isDocumented="True" />
-        <namespaceSummaryItem name="HeuristicLab.Charting.Data" isDocumented="True" />
-        <namespaceSummaryItem name="HeuristicLab.Constraints" isDocumented="True" />
-        <namespaceSummaryItem name="HeuristicLab.Core" isDocumented="True">HeuristicLab.Core Namespace Summary
-
-(... to be continued ...)</namespaceSummaryItem>
-        <namespaceSummaryItem name="HeuristicLab.Core.Properties" isDocumented="True" />
-        <namespaceSummaryItem name="HeuristicLab.Data" isDocumented="True">HeuristicLab.Data Namespace Summary
-
-(... to be continued ...)</namespaceSummaryItem>
-        <namespaceSummaryItem name="HeuristicLab.DataAnalysis" isDocumented="True" />
-        <namespaceSummaryItem name="HeuristicLab.DistributedEngine" isDocumented="True" />
-        <namespaceSummaryItem name="HeuristicLab.Evolutionary" isDocumented="True" />
-        <namespaceSummaryItem name="HeuristicLab.Functions" isDocumented="True" />
-        <namespaceSummaryItem name="HeuristicLab.Grid" isDocumented="True" />
-        <namespaceSummaryItem name="HeuristicLab.Logging" isDocumented="True" />
-        <namespaceSummaryItem name="HeuristicLab.Operators" isDocumented="True" />
-        <namespaceSummaryItem name="HeuristicLab.Operators.Programmable" isDocumented="True" />
-        <namespaceSummaryItem name="HeuristicLab.OptimizationFrontend" isDocumented="True" />
-        <namespaceSummaryItem name="HeuristicLab.OptimizationFrontend.Properties" isDocumented="True" />
-        <namespaceSummaryItem name="HeuristicLab.Permutation" isDocumented="True" />
-        <namespaceSummaryItem name="HeuristicLab.PluginInfrastructure" isDocumented="True" />
-        <namespaceSummaryItem name="HeuristicLab.PluginInfrastructure.GUI" isDocumented="True" />
-        <namespaceSummaryItem name="HeuristicLab.PluginInfrastructure.GUI.Properties" isDocumented="True" />
-        <namespaceSummaryItem name="HeuristicLab.PluginInfrastructure.Properties" isDocumented="True" />
-        <namespaceSummaryItem name="HeuristicLab.Random" isDocumented="True">HeuristicLab.Random Namespace Summary
-
-(... to be continued ...)</namespaceSummaryItem>
-        <namespaceSummaryItem name="HeuristicLab.RealVector" isDocumented="True" />
-        <namespaceSummaryItem name="HeuristicLab.Routing.TSP" isDocumented="True">HeuristicLab.Routing.TSP Namespace Summary
-
-(... to be continued ...)</namespaceSummaryItem>
-        <namespaceSummaryItem name="HeuristicLab.Scheduling.JSSP" isDocumented="True" />
-        <namespaceSummaryItem name="HeuristicLab.Selection" isDocumented="True" />
-        <namespaceSummaryItem name="HeuristicLab.Selection.OffspringSelection" isDocumented="True" />
-        <namespaceSummaryItem name="HeuristicLab.SequentialEngine" isDocumented="True" />
-        <namespaceSummaryItem name="HeuristicLab.SGA" isDocumented="True" />
-        <namespaceSummaryItem name="HeuristicLab.StructureIdentification" isDocumented="True" />
-        <namespaceSummaryItem name="HeuristicLab.TestFunctions" isDocumented="True" />
-        <namespaceSummaryItem name="HeuristicLab.ThreadParallelEngine" isDocumented="True" />
-    </namespaceSummaries>
-    <dependencies>
-        <dependencyItem depPath=".\Assemblies\*.*" />
-    </dependencies>
-    <ProjectSummary>HeuristicLab Project Summary
-
-(... to be continued ...)</ProjectSummary>
-    <MissingTags>Summary, Parameter, Returns, AutoDocumentCtors, Namespace</MissingTags>
-    <VisibleItems>Attributes, ExplicitInterfaceImplementations, InheritedMembers, InheritedFrameworkMembers, Internals, Protected, SealedProtected</VisibleItems>
-    <HtmlHelp1xCompilerPath path="..\..\..\..\..\..\Program Files\HTML Help Workshop\" />
-    <HtmlHelp2xCompilerPath path="..\..\..\..\..\..\Program Files\HTML Help Workshop\" />
-    <OutputPath>.\</OutputPath>
-    <SandcastlePath path="..\..\..\..\..\..\Program Files\Sandcastle\" />
-    <WorkingPath path="" />
-    <CleanIntermediates>True</CleanIntermediates>
-    <KeepLogFile>True</KeepLogFile>
-    <HelpFileFormat>HtmlHelp1x</HelpFileFormat>
-    <PurgeDuplicateTopics>True</PurgeDuplicateTopics>
-    <CppCommentsFixup>False</CppCommentsFixup>
-    <FrameworkVersion>2.0.50727</FrameworkVersion>
-    <BinaryTOC>True</BinaryTOC>
-    <IncludeFavorites>False</IncludeFavorites>
-    <Preliminary>True</Preliminary>
-    <RootNamespaceContainer>False</RootNamespaceContainer>
-    <RootNamespaceTitle />
-    <HelpTitle>HeuristicLab API Documentation</HelpTitle>
-    <HtmlHelpName>HeuristicLab API Documentation</HtmlHelpName>
-    <Language>en-US</Language>
-    <CopyrightHref>http://www.heuristiclab.com</CopyrightHref>
-    <CopyrightText>(c) 2002-2008 HEAL</CopyrightText>
-    <FeedbackEMailAddress>support@heuristiclab.com</FeedbackEMailAddress>
-    <HeaderText />
-    <FooterText />
-    <ProjectLinkType>Local</ProjectLinkType>
-    <SdkLinkType>Msdn</SdkLinkType>
-    <SdkLinkTarget>Blank</SdkLinkTarget>
-    <PresentationStyle>vs2005</PresentationStyle>
-    <NamingMethod>Guid</NamingMethod>
-    <SyntaxFilters>CSharp</SyntaxFilters>
-    <ShowFeedbackControl>False</ShowFeedbackControl>
-    <ContentPlacement>AboveNamespaces</ContentPlacement>
-    <ContentSiteMap path="" />
-    <TopicFileTransform path="" />
-</project>