Index: /trunk/sources/HeuristicLab.Problems.DataAnalysis.Regression/3.3/Symbolic/Evaluators/SymbolicRegressionScaledMeanAndVarianceSquaredErrorEvaluator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.DataAnalysis.Regression/3.3/Symbolic/Evaluators/SymbolicRegressionScaledMeanAndVarianceSquaredErrorEvaluator.cs	(revision 5168)
+++ /trunk/sources/HeuristicLab.Problems.DataAnalysis.Regression/3.3/Symbolic/Evaluators/SymbolicRegressionScaledMeanAndVarianceSquaredErrorEvaluator.cs	(revision 5169)
@@ -115,16 +115,24 @@
       double bias, variance, covariance;
       double mse;
-      if (ApplyScaling.Value) {
-        mse = Calculate(interpreter, solution, LowerEstimationLimit.Value, UpperEstimationLimit.Value, dataset, targetVariable, rows, out beta, out alpha, out meanSE, out varianceSE, out count, out bias, out variance, out covariance);
-        Alpha = new DoubleValue(alpha);
-        Beta = new DoubleValue(beta);
+      if (ExecutionContext != null) {
+        if (ApplyScaling.Value) {
+          mse = Calculate(interpreter, solution, lowerEstimationLimit, upperEstimationLimit, dataset, targetVariable, rows, out beta, out alpha, out meanSE, out varianceSE, out count, out bias, out variance, out covariance);
+          Alpha = new DoubleValue(alpha);
+          Beta = new DoubleValue(beta);
+        } else {
+          mse = CalculateWithScaling(interpreter, solution,lowerEstimationLimit, upperEstimationLimit, dataset, targetVariable, rows, 1, 0, out meanSE, out varianceSE, out count, out bias, out variance, out covariance);
+        }
+        QualityVariance = new DoubleValue(varianceSE);
+        QualitySamples = new IntValue(count);
+        DecompositionBiasParameter.ActualValue = new DoubleValue(bias / meanSE);
+        DecompositionVarianceParameter.ActualValue = new DoubleValue(variance / meanSE);
+        DecompositionCovarianceParameter.ActualValue = new DoubleValue(covariance / meanSE);
       } else {
-        mse = CalculateWithScaling(interpreter, solution, LowerEstimationLimit.Value, UpperEstimationLimit.Value, dataset, targetVariable, rows, 1, 0, out meanSE, out varianceSE, out count, out bias, out variance, out covariance);
-      }
-      QualityVariance = new DoubleValue(varianceSE);
-      QualitySamples = new IntValue(count);
-      DecompositionBiasParameter.ActualValue = new DoubleValue(bias / meanSE);
-      DecompositionVarianceParameter.ActualValue = new DoubleValue(variance / meanSE);
-      DecompositionCovarianceParameter.ActualValue = new DoubleValue(covariance / meanSE);
+        if (ApplyScalingParameter.Value != null && ApplyScalingParameter.Value.Value)
+          mse = Calculate(interpreter, solution, lowerEstimationLimit, upperEstimationLimit, dataset, targetVariable, rows, out beta, out alpha, out meanSE, out varianceSE, out count, out bias, out variance, out covariance);
+        else
+          mse = CalculateWithScaling(interpreter, solution, lowerEstimationLimit, upperEstimationLimit, dataset, targetVariable, rows, 1, 0, out meanSE, out varianceSE, out count, out bias, out variance, out covariance);
+      }
+
       return mse;
     }
Index: /trunk/sources/HeuristicLab.Problems.DataAnalysis.Regression/3.3/Symbolic/Evaluators/SymbolicRegressionScaledMeanSquaredErrorEvaluator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.DataAnalysis.Regression/3.3/Symbolic/Evaluators/SymbolicRegressionScaledMeanSquaredErrorEvaluator.cs	(revision 5168)
+++ /trunk/sources/HeuristicLab.Problems.DataAnalysis.Regression/3.3/Symbolic/Evaluators/SymbolicRegressionScaledMeanSquaredErrorEvaluator.cs	(revision 5169)
@@ -70,6 +70,8 @@
       double alpha, beta;
       double mse = Calculate(interpreter, solution, lowerEstimationLimit, upperEstimationLimit, dataset, targetVariable, rows, out beta, out alpha);
-      AlphaParameter.ActualValue = new DoubleValue(alpha);
-      BetaParameter.ActualValue = new DoubleValue(beta);
+      if (ExecutionContext != null) {
+        AlphaParameter.ActualValue = new DoubleValue(alpha);
+        BetaParameter.ActualValue = new DoubleValue(beta);
+      }
       return mse;
     }