Index: branches/ParallelEngine/HeuristicLab.Encodings.RealVectorEncoding/3.3/BoundsChecker.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Encodings.RealVectorEncoding/3.3/BoundsChecker.cs	(revision 5175)
+++ branches/ParallelEngine/HeuristicLab.Encodings.RealVectorEncoding/3.3/BoundsChecker.cs	(revision 5177)
@@ -80,9 +80,9 @@
     /// <remarks>Calls <see cref="Apply(RealVector, DoubleMatrix)"/>.</remarks>
     /// <inheritdoc select="returns" />
-    public override IOperation Apply() {
+    public override IOperation Apply(IExecutionContext context) {
       if (RealVectorParameter.ActualValue == null) throw new InvalidOperationException("BoundsChecker: Parameter " + RealVectorParameter.ActualName + " could not be found.");
       if (BoundsParameter.ActualValue == null) throw new InvalidOperationException("BoundsChecker: Parameter " + BoundsParameter.ActualName + " could not be found.");
       Apply(RealVectorParameter.ActualValue, BoundsParameter.ActualValue);
-      return base.Apply();
+      return base.Apply(context);
     }
   }
Index: branches/ParallelEngine/HeuristicLab.Encodings.RealVectorEncoding/3.3/Crossovers/MultiRealVectorCrossover.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Encodings.RealVectorEncoding/3.3/Crossovers/MultiRealVectorCrossover.cs	(revision 5175)
+++ branches/ParallelEngine/HeuristicLab.Encodings.RealVectorEncoding/3.3/Crossovers/MultiRealVectorCrossover.cs	(revision 5177)
@@ -97,7 +97,7 @@
     }
 
-    public override IOperation Apply() {
+    public override IOperation Apply(IExecutionContext context) {
       if (Operators.Count == 0) throw new InvalidOperationException(Name + ": Please add at least one real vector crossover to choose from.");
-      return base.Apply();
+      return base.Apply(context);
     }
   }
Index: branches/ParallelEngine/HeuristicLab.Encodings.RealVectorEncoding/3.3/Manipulators/MultiRealVectorManipulator.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Encodings.RealVectorEncoding/3.3/Manipulators/MultiRealVectorManipulator.cs	(revision 5175)
+++ branches/ParallelEngine/HeuristicLab.Encodings.RealVectorEncoding/3.3/Manipulators/MultiRealVectorManipulator.cs	(revision 5177)
@@ -88,7 +88,7 @@
     }
 
-    public override IOperation Apply() {
+    public override IOperation Apply(IExecutionContext context) {
       if (Operators.Count == 0) throw new InvalidOperationException(Name + ": Please add at least one real vector manipulator to choose from.");
-      return base.Apply();
+      return base.Apply(context);
     }
   }
Index: branches/ParallelEngine/HeuristicLab.Encodings.RealVectorEncoding/3.3/Moves/AdditiveMoveGenerator.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Encodings.RealVectorEncoding/3.3/Moves/AdditiveMoveGenerator.cs	(revision 5175)
+++ branches/ParallelEngine/HeuristicLab.Encodings.RealVectorEncoding/3.3/Moves/AdditiveMoveGenerator.cs	(revision 5177)
@@ -63,5 +63,5 @@
     }
 
-    public override IOperation Apply() {
+    public override IOperation Apply(IExecutionContext context) {
       RealVector vector = RealVectorParameter.ActualValue;
       AdditiveMove[] moves = GenerateMoves(RandomParameter.ActualValue, vector);
@@ -82,5 +82,5 @@
       }
       CurrentScopeParameter.ActualValue.SubScopes.AddRange(moveScopes);
-      return base.Apply();
+      return base.Apply(context);
     }
 
Index: branches/ParallelEngine/HeuristicLab.Encodings.RealVectorEncoding/3.3/Moves/AdditiveMoveMaker.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Encodings.RealVectorEncoding/3.3/Moves/AdditiveMoveMaker.cs	(revision 5175)
+++ branches/ParallelEngine/HeuristicLab.Encodings.RealVectorEncoding/3.3/Moves/AdditiveMoveMaker.cs	(revision 5177)
@@ -63,5 +63,5 @@
     }
 
-    public override IOperation Apply() {
+    public override IOperation Apply(IExecutionContext context) {
       AdditiveMove move = AdditiveMoveParameter.ActualValue;
       RealVector realVector = RealVectorParameter.ActualValue;
@@ -72,5 +72,5 @@
       quality.Value = moveQuality.Value;
 
-      return base.Apply();
+      return base.Apply(context);
     }
   }
Index: branches/ParallelEngine/HeuristicLab.Encodings.RealVectorEncoding/3.3/Moves/AdditiveMoveTabuChecker.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Encodings.RealVectorEncoding/3.3/Moves/AdditiveMoveTabuChecker.cs	(revision 5175)
+++ branches/ParallelEngine/HeuristicLab.Encodings.RealVectorEncoding/3.3/Moves/AdditiveMoveTabuChecker.cs	(revision 5177)
@@ -81,5 +81,5 @@
     }
 
-    public override IOperation Apply() {
+    public override IOperation Apply(IExecutionContext context) {
       ItemList<IItem> tabuList = TabuListParameter.ActualValue;
       AdditiveMove move = AdditiveMoveParameter.ActualValue;
@@ -106,5 +106,5 @@
       }
       MoveTabuParameter.ActualValue = new BoolValue(isTabu);
-      return base.Apply();
+      return base.Apply(context);
     }
   }
Index: branches/ParallelEngine/HeuristicLab.Encodings.RealVectorEncoding/3.3/RealVectorCreator.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Encodings.RealVectorEncoding/3.3/RealVectorCreator.cs	(revision 5175)
+++ branches/ParallelEngine/HeuristicLab.Encodings.RealVectorEncoding/3.3/RealVectorCreator.cs	(revision 5177)
@@ -63,7 +63,7 @@
     }
 
-    public sealed override IOperation Apply() {
+    public sealed override IOperation Apply(IExecutionContext context) {
       RealVectorParameter.ActualValue = Create(RandomParameter.ActualValue, LengthParameter.ActualValue, BoundsParameter.ActualValue);
-      return base.Apply();
+      return base.Apply(context);
     }
 
Index: branches/ParallelEngine/HeuristicLab.Encodings.RealVectorEncoding/3.3/RealVectorCrossover.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Encodings.RealVectorEncoding/3.3/RealVectorCrossover.cs	(revision 5175)
+++ branches/ParallelEngine/HeuristicLab.Encodings.RealVectorEncoding/3.3/RealVectorCrossover.cs	(revision 5177)
@@ -65,10 +65,10 @@
     }
 
-    public sealed override IOperation Apply() {
+    public sealed override IOperation Apply(IExecutionContext context) {
       RealVector result = Cross(RandomParameter.ActualValue, ParentsParameter.ActualValue);
       DoubleMatrix bounds = BoundsParameter.ActualValue;
       if (bounds != null) BoundsChecker.Apply(result, bounds);
       ChildParameter.ActualValue = result;
-      return base.Apply();
+      return base.Apply(context);
     }
 
Index: branches/ParallelEngine/HeuristicLab.Encodings.RealVectorEncoding/3.3/RealVectorManipulator.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Encodings.RealVectorEncoding/3.3/RealVectorManipulator.cs	(revision 5175)
+++ branches/ParallelEngine/HeuristicLab.Encodings.RealVectorEncoding/3.3/RealVectorManipulator.cs	(revision 5177)
@@ -59,10 +59,10 @@
     }
 
-    public sealed override IOperation Apply() {
+    public sealed override IOperation Apply(IExecutionContext context) {
       RealVector vector = RealVectorParameter.ActualValue;
       Manipulate(RandomParameter.ActualValue, vector);
       DoubleMatrix bounds = BoundsParameter.ActualValue;
       if (bounds != null) BoundsChecker.Apply(vector, bounds);
-      return base.Apply();
+      return base.Apply(context);
     }
 
Index: branches/ParallelEngine/HeuristicLab.Encodings.RealVectorEncoding/3.3/StrategyParameters/StdDevStrategyVectorCreator.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Encodings.RealVectorEncoding/3.3/StrategyParameters/StdDevStrategyVectorCreator.cs	(revision 5175)
+++ branches/ParallelEngine/HeuristicLab.Encodings.RealVectorEncoding/3.3/StrategyParameters/StdDevStrategyVectorCreator.cs	(revision 5177)
@@ -63,7 +63,7 @@
     }
 
-    public override IOperation Apply() {
+    public override IOperation Apply(IExecutionContext context) {
       StrategyParameterParameter.ActualValue = UniformRandomRealVectorCreator.Apply(RandomParameter.ActualValue, LengthParameter.ActualValue.Value, BoundsParameter.ActualValue);
-      return base.Apply();
+      return base.Apply(context);
     }
   }
Index: branches/ParallelEngine/HeuristicLab.Encodings.RealVectorEncoding/3.3/StrategyParameters/StdDevStrategyVectorCrossover.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Encodings.RealVectorEncoding/3.3/StrategyParameters/StdDevStrategyVectorCrossover.cs	(revision 5175)
+++ branches/ParallelEngine/HeuristicLab.Encodings.RealVectorEncoding/3.3/StrategyParameters/StdDevStrategyVectorCrossover.cs	(revision 5177)
@@ -59,7 +59,7 @@
     }
 
-    public override IOperation Apply() {
+    public override IOperation Apply(IExecutionContext context) {
       StrategyParameterParameter.ActualValue = AverageCrossover.Apply(RandomParameter.ActualValue, ParentsParameter.ActualValue);
-      return base.Apply();
+      return base.Apply(context);
     }
   }
Index: branches/ParallelEngine/HeuristicLab.Encodings.RealVectorEncoding/3.3/StrategyParameters/StdDevStrategyVectorManipulator.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Encodings.RealVectorEncoding/3.3/StrategyParameters/StdDevStrategyVectorManipulator.cs	(revision 5175)
+++ branches/ParallelEngine/HeuristicLab.Encodings.RealVectorEncoding/3.3/StrategyParameters/StdDevStrategyVectorManipulator.cs	(revision 5177)
@@ -102,5 +102,5 @@
     /// <remarks>Calls <see cref="OperatorBase.Apply"/> of base class <see cref="OperatorBase"/>.</remarks>
     /// <inheritdoc select="returns"/>
-    public override IOperation Apply() {
+    public override IOperation Apply(IExecutionContext context) {
       RealVector strategyParams = StrategyParameterParameter.ActualValue;
       if (strategyParams != null) { // only apply if there is a strategy vector
@@ -110,5 +110,5 @@
         Apply(random, strategyParams, tau0, tau, BoundsParameter.ActualValue);
       }
-      return base.Apply();
+      return base.Apply(context);
     }
   }